@model RestoAPI.Models.Ext.UserWithTable
@{
    var isEdit = Model.user.Id > 0;
    
    ViewData["Title"] = (isEdit ? "Edit" : "Add") + " Table";
}

<h2>@(isEdit ? "Edit [" + Model.user.Name + "]" : "Add New Table")</h2>

<br />

@Html.Partial("_Message")

<div class="row">
    <div class="col-md-12">
        <form action="" method="post" enctype="multipart/form-data" class="form-horizontal ">
            <div class="card">
                <div class="card-header">
                    <strong>Table Data</strong>
                </div>
                <div class="card-block">
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Name">Table Name</label>
                        <div class="col-md-9">
                            <input type="text" id="Name" name="Name" class="form-control" placeholder="Name" value="@Model.user.Name" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Username">Username</label>
                        <div class="col-md-9">
                            <input type="text" id="Username" name="Username" class="form-control" placeholder="Username" value="@Model.user.Username" required>
                            <span class="help-block">Used for login, must unique</span>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Password">Password</label>
                        <div class="col-md-9">
                            <input type="password" id="Password" name="Password" class="form-control" placeholder="@(isEdit ? "Password not Changed" : "Password")" @(isEdit ? "" : "required")>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label">Active</label>
                        <div class="col-md-9">
                            <label class="checkbox-inline" for="IsActive">
                                <input type="checkbox" id="IsActive" name="IsActive" value="True" @(Model.user.IsActive ? "checked" : "")>Active
                            </label>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Capacity">Table Capacity</label>
                        <div class="col-md-9">
                            <input type="number" id="Capacity" name="Capacity" class="form-control" placeholder="Capacity" value="@Model.table.Capacity" required>
                            <span class="help-block">Used for login, must unique</span>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <input type="hidden" name="Id" value="@Model.user.Id" />
                    <button type="submit" class="btn btn-sm btn-primary"><i class="fa fa-dot-circle-o"></i> Submit</button>
                    <button type="reset" class="btn btn-sm btn-danger"><i class="fa fa-ban"></i> Reset</button>
                </div>
            </div>
        </form>
    </div>
    <!--/col-->
</div>

